<?php
include "../conecta.php";

if( $_POST[c] )
	$_GET[c] = $_POST[c];

switch( $_GET[c] ) {
case 'bairro':			$TABELA = 'bairro';		$NOME = 'Cadastro de Bairro';		$ARQUIVO = "busca_net.php?c=bairro";		break;
case 'cidade':			$TABELA = 'cidade';		$NOME = 'Cadastro de Cidade';		$ARQUIVO = "busca_net.php?c=cidade";		break;
case 'entidade':		$TABELA = 'entidade';	$NOME = 'Cadastro de Entidades';	$ARQUIVO = "busca_net.php?c=entidade";		break;
case 'departamento':	$TABELA = 'departamento';	$NOME = 'Cadastro de Departamento';	$ARQUIVO = "busca_net.php?c=departamento";		break;
case 'cargo':		$TABELA = 'cargo';	$NOME = 'Cadastro de Cargos';	$ARQUIVO = "busca_net.php?c=cargo";		break;
case 'evento':		$TABELA = 'eventotipo';	$NOME = 'Cadastro de Eventos';	$ARQUIVO = "busca_net.php?c=evento";		break;
case 'banco':		$TABELA = 'banco';	$NOME = 'Cadastro de Bancos';	$ARQUIVO = "busca_net.php?c=banco";		break;
case 'cbo':		$TABELA = 'cbo';	$NOME = 'Cadastro de CBO';	$ARQUIVO = "busca_net.php?c=cbo";		break;
case 'categoriacompra':	$TABELA = 'categoriacompra';	$NOME = 'Cadastro de Categoria';	$ARQUIVO = "busca_net.php?c=categoriacompra";	break;
case 'situacaosefip':	$TABELA = 'situacaosefip';	$NOME = 'Cadastro de Situação';	$ARQUIVO = "busca_net.php?c=situacaosefip";	break;
case 'sindicato':	$TABELA = 'sindicato';	$NOME = 'Cadastro de Sindicato';	$ARQUIVO = "busca_net.php?c=sindicato";	break;
case 'tomador':	$TABELA = 'tomador';	$NOME = 'Cadastro de Tomador';	$ARQUIVO = "busca_net.php?c=tomador";	break;
case 'ocorrenciatipo':	$TABELA = 'ocorrenciatipo';	$NOME = 'Cadastro de Ocorrência';	$ARQUIVO = "busca_net.php?c=ocorrenciatipo";	break;
case 'planoconta':	$TABELA = 'planoconta';	$NOME = 'Cadastro de Plano Conta';	$ARQUIVO = "busca_net.php?c=planoconta";	break;
case 'marca':			$TABELA = 'marca';		$NOME = 'Cadastro de Marca';		$ARQUIVO = "busca_net.php?c=marca";		break;
case 'modelo':			$TABELA = 'modelo';		$NOME = 'Cadastro de Modelo';		$ARQUIVO = "busca_net.php?c=modelo";		break;
case 'setorufersa':			$TABELA = 'setorufersa';		$NOME = 'Cadastro de Setor';		$ARQUIVO = "busca_net.php?c=setorufersa";		break;
// case 'cliente':	$TABELA = 'cliente';	$NOME = 'Cadastro de Cliente';	$ARQUIVO = "busca_net.php?c=cliente";	break;
default: 
	echo "Tabela Inválida";
	exit;
break;
}
$TAB = substr($TABELA,0,4);


function cadastra_net() {
global $TAB,$TABELA,$ARQUIVO;

	if( $_POST[nome] == '' ) {
		set_status("ERRO: Preencha os Campos!");
		index();
		exit;
	}

	$campos = array($TAB."_tx_nome",$TAB."_tx_status");
	$valores= array($_POST[nome],'ativo');

	if ( $TABELA=='entidade' ) {
		array_push($campos, enti_tx_pessoa,enti_tx_tipo);
		array_push($valores, $_POST[natureza],$_POST[tipo]);
		if ( $_POST[natureza]=='Pessoa Jurídica' ) {
			array_push($campos, enti_tx_razao);
			array_push($valores, $_POST[nome]);
		}
	}

	inserir($TABELA,$campos,$valores);

	
	if( !bd_erro() )
		chamar_pag($ARQUIVO,'nome',$_POST[nome]);
	else
		index();
}



function index() {
global $TABELA,$NOME,$ARQUIVO;

	cabecalho_combo($NOME);


	cactux::abre_form();
	
	//CAMPOS
	if ( $TABELA=='entidade' ) {
		$nome    = cactux::campo('* Nome:','nome','',5);
		$natureza= cactux::combo('* Naturaza:','natureza',array('','Pessoa Física','Pessoa Jurídica'),$_POST[natureza],2);
		$tipo    = cactux::combo('* Tipo:','tipo',array('','Cliente','Colaborador','Fornecedor','Transportador'),$_POST[tipo],2);

	} else {
		$nome = cactux::campo('* Nome:','nome','',5);
	}
	
	$gravar = cactux::botao_submit('Gravar',2,'cadastra_net','id,c',"$_POST[id],$_GET[c]");
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	//-----------

	cactux::abre_fieldset($NOME);
	if ( $TABELA=='entidade' )
		cactux::linha_fieldset($nome,$natureza,$tipo);
	else
		cactux::linha_fieldset($nome);
	cactux::linha_fieldset($voltar,$gravar,$status);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('voltar','index','','',"$ARQUIVO");
	rodape();
	javascript(" window.onload=document.cadastro.nome.focus()");	
}

CONTROLE();
?>